# Interface ConstantInstruction.IntrinsicConstantInstruction

All Superinterfaces:
  `ClassFileElement`, `CodeElement`, `ConstantInstruction`, `Instruction`

Enclosing interface:
  `ConstantInstruction`

public static sealed interface ConstantInstruction.IntrinsicConstantInstruction extends ConstantInstruction
Models an "intrinsic constant" instruction, which encodes the constant value in its opcode. Examples include `aconst_null` and `iconst_0`.

An intrinsic constant instruction is composite:

    IntrinsicConstantInstruction(Opcode opcode)

where:

`opcode`
  Must be of the constant kind and have a fixed size of 1.

Since:
  24
See Also:
  - `Opcode.Kind.CONSTANT`
  - `ConstantInstruction::ofIntrinsic`

## Nested Class Summary

### Nested classes/interfaces declared in interface java.lang.classfile.instruction.ConstantInstruction

`ConstantInstruction.ArgumentConstantInstruction, ConstantInstruction.IntrinsicConstantInstruction, ConstantInstruction.LoadConstantInstruction`

## Method Summary

Modifier and Type
Method
Description
`default TypeKind`
`typeKind()`
Returns the computational type of the constant.

### Methods declared in interface java.lang.classfile.instruction.ConstantInstruction

`constantValue`

### Methods declared in interface java.lang.classfile.Instruction

`opcode, sizeInBytes`

## Method Details

### typeKind

default TypeKind typeKind()
Description copied from interface: `ConstantInstruction`
Returns the computational type of the constant. This is derived from the `constantValue`.

Specified by:
  `typeKind` in interface `ConstantInstruction`
Returns:
  the computational type of the constant